Upgrading eSpace from 7 to 8 - jQuery changes?

Upgrading eSpace from 7 to 8 - jQuery changes?

On the eSpaces that we have upgraded from 7 to 8, they are set to use jQuery version 1.4 (the old version in OS 7). If we change those to jQuery 1.8 (the new version in OS 8), what do we need to change? Will osjs still be aliased to 1.4? Will it be aliased to 1.8? Will it not be aliased at all?

What version of jQueryUI would we be using if we did that?

I really want to get everything on jQuery 1.8, but I can't cause problems along the way...


Hi Justin,

In call cases (unless you override jQuery):  osjs=jQuery=$
osjs alias is still left as a backward compability name, but it's the same as $.
In new javascript you should use either the jQuery or $ alias.

I personally like to write scripts it like this:
jQuery(function($) {
    // and in here refer it as $

As for jQueryUI, if you change to 1.8 you will have to provide your own jQueryUI.

So in summary no extra changes should be needed unless you use jQueryUI features on your javascript. In that case you will need to provide a jQueryUI js and css.
The JQuery Goodies component, for example, has the blocks that you need.

João Rosado